/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.view.dashboard;

import com.arrebol.taxiservicios.model.enums.InsuranceStatus;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class InsuranceDashboardListView implements Serializable {

    private static final long serialVersionUID = -1L;

    private String id;
    private String idLocation;
    private String economicNumber;
    private Date insuranceEndDate;
    private String insuranceName;
    private String insuranceCobertura;
    private String fullDriverName;
    private String fullCustomerName;
    private InsuranceStatus insuranceStatus;
    private String numero;

    public InsuranceDashboardListView() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEconomicNumber() {
        return economicNumber;
    }

    public void setEconomicNumber(String economicNumber) {
        this.economicNumber = economicNumber;
    }

    public Date getInsuranceEndDate() {
        return insuranceEndDate;
    }

    public void setInsuranceEndDate(Date insuranceEndDate) {
        this.insuranceEndDate = insuranceEndDate;
    }

    public String getInsuranceName() {
        return insuranceName;
    }

    public void setInsuranceName(String insuranceName) {
        this.insuranceName = insuranceName;
    }

    public String getInsuranceCobertura() {
        return insuranceCobertura;
    }

    public void setInsuranceCobertura(String insuranceCobertura) {
        this.insuranceCobertura = insuranceCobertura;
    }

    public String getFullDriverName() {
        return fullDriverName;
    }

    public void setFullDriverName(String fullDriverName) {
        this.fullDriverName = fullDriverName;
    }

    public String getFullCustomerName() {
        return fullCustomerName;
    }

    public void setFullCustomerName(String fullCustomerName) {
        this.fullCustomerName = fullCustomerName;
    }

    public InsuranceStatus getInsuranceStatus() {
        return insuranceStatus;
    }

    public void setInsuranceStatus(InsuranceStatus insuranceStatus) {
        this.insuranceStatus = insuranceStatus;
    }

    public String getNumero() {
        return numero;
    }

    public void setNumero(String numero) {
        this.numero = numero;
    }

    public String getIdLocation() {
        return idLocation;
    }

    public void setIdLocation(String idLocation) {
        this.idLocation = idLocation;
    }
    
    

}
